org.scalatest.verb

# StringVerbBlockRegistration

#### class StringVerbBlockRegistration extends (String, String, () ⇒ Unit) ⇒ Unit

Class that provides a role-specific type for an implicit conversion used to support the registration of subject descriptions in `WordSpec` and `FixtureWordSpec`.

For example, this class enables syntax such as the following in `WordSpec` and `FixtureWordSpec`:

    "A Stack (when empty)" should { ...
                           ^

This `should` method, which is provided in `ShouldVerb`, needs an implicit parameter of type `(String, String, () => Unit) => Unit`. Because the required type has no ScalaTest-specific types in it, it is possible that another implicit parameter of that same type could be in scope, which would cause a compile failure. Requiring an implicit parameter of the more specific `StringVerbBlockRegistration`, which simply extends the needed type, `(String, String, () => Unit) => Unit`, avoids this potential conflict.

Attributes
  abstract

Linear Supertypes
(String, String, () ⇒ Unit) ⇒ Unit, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. StringVerbBlockRegistration
2. Function3
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new StringVerbBlockRegistration ()

### Abstract Value Members

1. #### def apply (string: String, verb: String, block: () ⇒ Unit): Unit

   Registers a subject description in `WordSpec` and `FixtureWordSpec`.

   Registers a subject description in `WordSpec` and `FixtureWordSpec`.

   For example, this class enables syntax such as the following in `WordSpec` and `FixtureWordSpec`:

       "A Stack (when empty)" should { ...
                              ^

   Attributes
     abstract
   Definition Classes
     StringVerbBlockRegistration → Function3

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def curried : (String) ⇒ (String) ⇒ (() ⇒ Unit) ⇒ Unit

   Definition Classes
     Function3

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def toString (): String

    Definition Classes
      Function3 → AnyRef → Any

20. #### def tupled : ((String, String, () ⇒ Unit)) ⇒ Unit

    Definition Classes
      Function3

21. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def curry : (String) ⇒ (String) ⇒ (() ⇒ Unit) ⇒ Unit

    Definition Classes
      Function3
    Annotations
      @deprecated
    Deprecated

      Use 'curried' instead

### Inherited from (String, String, () ⇒ Unit) ⇒ Unit

### Inherited from AnyRef

### Inherited from Any